Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:  	The Aspell package contains an interactive spell checking program.
Name:		aspell
Version:	0.60.5
Release:	2
License:	GNU/GPL
Url:		http://gnu.mirror.mcgill.ca/aspell/
Group:		Office
Source0:	%{name}-%{version}.tar.gz
Patch1: 	aspell-0.50.3-gcc33.patch
Patch3: 	aspell-0.60.3-install_info.patch
Patch5: 	aspell-0.60.5-fileconflict.patch
Patch7: 	aspell-0.60.5-pspell_conf.patch
Patch8: 	aspell-0.60.5-gcc43.patch
Requires: 	aspell-en
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires: 	gettext, ncurses-devel, pkgconfig
Requires(pre): /sbin/install-info
Requires(preun): /sbin/install-info


%description
GNU Aspell is a spell checker designed to eventually replace Ispell. It can
either be used as a library or as an independent spell checker. Its main
feature is that it does a much better job of coming up with possible
suggestions than just about any other spell checker out there for the
English language, including Ispell and Microsoft Word. It also has many
other technical enhancements over Ispell such as using shared memory for
dictionaries and intelligently handling personal dictionaries when more
than one Aspell process is open at once.

%package	devel
Summary: 	Static libraries and header files for Aspell development
Group: 		Development/Libraries
Requires: 	aspell = %{version}-%{release}
Requires: 	pkgconfig
Requires(pre): /sbin/install-info
Requires(preun): /sbin/install-info

%description	devel
Aspell is a spelling checker. The aspell-devel package includes the
static libraries and header files needed for Aspell development.

%prep
%setup -q -n aspell-%{version}
%patch1 -p1 -b .gcc33
%patch3 -p1 -b .iinfo
%patch5 -p1 -b .fc
%patch7 -p1 -b .mlib
%patch8 -p1 -b .gcc43
iconv -f windows-1252 -t utf-8 manual/aspell.info -o manual/aspell.info.aux
mv manual/aspell.info.aux manual/aspell.info

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60

mv ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60/ispell ${RPM_BUILD_ROOT}%{_bindir}
mv ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60/spell ${RPM_BUILD_ROOT}%{_bindir}

chmod 644 ${RPM_BUILD_ROOT}%{_bindir}/aspell-import

%find_lang %{name}

%post   
/sbin/ldconfig
/sbin/install-info %{_infodir}/aspell.info.gz %{_infodir}/dir --entry="* Aspell: (aspell). "  || : 

%post        devel
/sbin/install-info %{_infodir}/aspell-dev.info.gz %{_infodir}/dir --entry="* Aspell-dev: (aspell-dev). " || :

%preun 
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/aspell.info.gz %{_infodir}/dir 
fi
exit 0

%preun       devel
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/aspell-dev.info.gz %{_infodir}/dir 
fi
exit 0

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO COPYING
%dir %{_libdir}/aspell-0.60
%{_bindir}/a*
%{_bindir}/ispell
%{_bindir}/pr*
%{_bindir}/run-with-aspell
%{_bindir}/spell
%{_bindir}/word-list-compress
%{_libdir}/lib*.so.*
%{_libdir}/aspell-0.60/*
%{_datadir}/locale/*/LC_MESSAGES/aspell.mo
%{_infodir}/aspell.*
%{_mandir}/man1/aspell*
%{_mandir}/man1/run-with-aspell.1*
%{_mandir}/man1/word-list-compress.1*
%{_mandir}/man1/prezip-bin.1.*

%files		devel
%defattr(-,root,root)
%dir %{_includedir}/pspell
%{_bindir}/pspell-config
%{_includedir}/aspell.h
%{_includedir}/pspell/pspell.h
%{_libdir}/lib*spell.so
%{_libdir}/pkgconfig/*
%{_infodir}/aspell-dev.*
%{_mandir}/man1/pspell-config.1*
%{_libdir}/libaspell.la
%{_libdir}/libpspell.la
%{_libdir}/aspell-0.60/*-filter.la


%changelog
* Fri Jan 25 2008 Christian Metzen <metzench@ccux-linux.de> 0.60.5-2
- rebuild for missing ispell binary
* Mon Oct 15 2007 Simon Schmeisser <wrt@ccux-linux.de> 0.60.5-1
- Version update
* Tue Jan 17 2006 Christian Wasem <wasem@ccux-linux.de> 0.60.4-2
- tweaked specfile, added info install
* Sat Jan 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.60.4-1
- Version update
* Wed Nov 23 2004 Christian Metzen <metzench@ccux-linux.de> 0.60-1
- Initial Release
